/******************
  Copyright (c) 2002                                        RIPE NCC

  All Rights Reserved

  Permission to use, copy, modify, and distribute this software and its
  documentation for any purpose and without fee is hereby granted,
  provided that the above copyright notice appear in all copies and that
  both that copyright notice and this permission notice appear in
  supporting documentation, and that the name of the author not be
  used in advertising or publicity pertaining to distribution of the
  software without specific, written prior permission.

  THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
  AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
  DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
  OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
  ***************************************/

#include "syntax_api.h"

#ifdef __cplusplus
extern "C" {
#endif

GList *get_attr_list(rpsl_object_t * object, const char * attr_type);

GList * get_mntnfy_vector(GList * mntners);

GList * get_irtnfy_vector(GList * irts);

GList *get_mntners(rpsl_object_t * object);

GList *get_irts(rpsl_object_t *object);

char * send_and_get(char * host, int port, char * arg);

char * find_email_address(const char * from_line);

char * get_class_type_char(char * object);

char * UP_remove_EOLs(char * arg);

char * UP_replace_strings(char * str, const char * erase_str, const char * insert_str);

rpsl_object_t * UP_put_assigned_NIC(rpsl_object_t * object, char * assigned_NIC);

char * UP_get_current_date();

char * UP_filter_out_same_origins(char * objects, rpsl_object_t * object);

int UP_is_object(const char * arg);

#ifdef __cplusplus
}
#endif

GList * take_objects(char * arg);

char * UP_replace_globals(const char * arg);

GList * get_updto_vector(GList * mntners);

char * delete_delete_attrib(char * arg);

/* char * delete_override(char * arg); */
int UP_remove_override_attr( rpsl_object_t *object );
